## sslscan 1.8.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 MANPATH = /usr/share/man/
 
 all:
-	gcc -lssl -o sslscan $(SRCS) $(LDFLAGS) $(CFLAGS)
+	gcc -g -Wall -lssl -o sslscan $(SRCS) $(LDFLAGS) $(CFLAGS)
 
 install:
 	cp sslscan $(BINPATH)
