=== debian/control ===
Source: sslscan
Section: utils
Priority: extra
Maintainer: Marvin Stark <marv@der-marv.de>
Homepage: https://github.com/rbsec/sslscan
Build-Depends: debhelper (>= 9), libssl-dev, git
Standards-Version: 3.9.7.0

Package: sslscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast SSL scanner
 SSLScan queries SSL services, such as HTTPS, in order to determine the ciphers
 that are supported. SSLScan is designed to be easy, lean and fast. The output
 includes preferred ciphers of the SSL service, the certificate and is in text
 and XML formats.
