## sslscan 1.11.5-rbsec

=== debian/changelog ===
sslscan (1.11.5-rbsec-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against openssl 1.0. (Closes: #828556)

 -- Christoph Berg <myon@debian.org>  Thu, 05 Jan 2017 15:02:51 +0100

sslscan (1.11.5-rbsec-1) unstable; urgency=medium

  * New Upstream release (Closes: #804616)
  * debian/control
    - Updated Standard-Version to 3.9.7.0
  * Updated debian/watch
  * Updated debian/rules to 3.0 (quilt) format
  * Updated debian/copyright
  * Upload to unstable
  * Removed useless patches
  * Removed git from Build-Depends

 -- Marvin Stark <marv@der-marv.de>  Fri, 01 Apr 2016 10:04:10 +0200
