=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Marvin Stark <marv@der-marv.de>
 Homepage: https://github.com/rbsec/sslscan
-Build-Depends: debhelper (>= 9), libssl-dev, git
+Build-Depends: debhelper (>= 9), libssl1.0-dev | libssl-dev (<< 1.1.0~)
 Standards-Version: 3.9.7.0
 
 Package: sslscan
