=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Build stuff
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

override_dh_auto_install:
	install -d $(CURDIR)/debian/sslscan/usr/bin/
	install -d $(CURDIR)/debian/sslscan/usr/share/man/man1/
	dh_auto_install -- BINPATH="$(CURDIR)/debian/sslscan/usr/bin/" MANPATH="$(CURDIR)/debian/sslscan/usr/share/man/"
