## sslscan 2.0.0

=== debian/changelog ===
sslscan (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #952385)
  * Update debian/watch.
  * Remove debian/compat.
  * debian/rules
    + Remove override_dh_auto_install.
    + Add override_dh_auto_build.
    + Remove innecesary "--parallel" from "dh $@".
  * debian/control
    + Update Standard-Version to 4.5.0.
    + Set myself as Maintainer.
    + Debhelper bump level to 13.
    + Update priority to optional.
    + Mark Rules-Requires-Root: no as we don't need root for building.
    + Remove libssl1.0-dev from Build-Depends.
    + Update Description.
  * debian/copyright
    + Add myself in debian holders.
    + Update Upstream-Contact.
    + Update License to GPL-3.0+.
    + Update description license.
    + Update Url Format.
  * Add debian/upstream/metadata file
    + Add Repository field.
    + Add Repository-Browse field.
    + Add Bug-Database field.
    + Add Bug-Submit field.
  * debian/patches
    + Add 01_spelling_sslscanc.diff patch.
  * Remove some trailing whitespace characters.

 -- Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>  Tue, 28 Jul 2020 22:36:00 -0500
