=== debian/control ===
Source: sslscan
Section: utils
Priority: optional
Maintainer: Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>
Homepage: https://github.com/rbsec/sslscan
Build-Depends: debhelper-compat (= 13), libssl-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: sslscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tests SSL/TLS enabled services to discover supported cipher suites
 This tool allow queries SSL/TLS services (such as HTTPS) and reports the
 protocol versions, cipher suites, key exchanges, signature algorithms, and
 certificates in use.  This helps the user understand which  parameters are
 weak from a security standpoint.
 .
 sslscan can also output results into an XML file for easy consumption by
 external programs.
