=== debian/changelog ===
sslscan (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Update Standard-Version to 4.5.1.

 -- Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>  Fri, 12 Feb 2021 00:26:22 -0500
