=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>
 Homepage: https://github.com/rbsec/sslscan
 Build-Depends: debhelper-compat (= 13), libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 
 Package: sslscan
