=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sslscan-$1.tar.gz%" \
   https://github.com/rbsec/sslscan/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
