## sslscan 2.1.2

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 # Detect OS
 OS := $(shell uname)
+ARCH := $(shell uname -m)
 
 # Handle different version of Make
 ifeq ($(OS), SunOS)
@@ -61,7 +62,11 @@
 PWD          = $(shell pwd)/openssl
 LDFLAGS      += -L${PWD}/
 CFLAGS       += -I${PWD}/include/ -I${PWD}/
+ifeq ($(OS), Darwin)
+LIBS	     = ./openssl/libssl.a ./openssl/libcrypto.a -lz -lpthread
+else
 LIBS         = -lssl -lcrypto -lz -lpthread
+endif
 ifneq ($(OS), FreeBSD)
 	LIBS += -ldl
 endif
@@ -81,7 +86,9 @@
 ifneq (,$(wildcard /usr/bin/nproc))
 	NUM_PROCS = `/usr/bin/nproc --all`
 endif
-
+ifeq ($(OS), Darwin)
+	NUM_PROCS = `sysctl -n hw.ncpu`
+endif
 
 .PHONY: all sslscan clean install uninstall static opensslpull
 
@@ -122,15 +129,20 @@
 	true
 opensslpull:
 	if [ -d openssl -a -d openssl/.git ]; then \
-		cd ./openssl && git checkout OpenSSL_1_1_1-stable && git pull | grep -q "Already up-to-date." && [ -e ../.openssl.is.fresh ] || touch ../.openssl.is.fresh ; \
+		cd ./openssl && git checkout `git ls-remote https://github.com/openssl/openssl | grep -Eo '(openssl-3\.0\.[0-9]+)' | sort --version-sort | tail -n 1` && git pull | grep -q "Already up-to-date." && [ -e ../.openssl.is.fresh ] || touch ../.openssl.is.fresh ; \
 	else \
-		git clone --depth 1 -b OpenSSL_1_1_1-stable https://github.com/openssl/openssl ./openssl && cd ./openssl && touch ../.openssl.is.fresh ; \
+	git clone --depth 1 -b `git ls-remote https://github.com/openssl/openssl | grep -Eo '(openssl-3\.0\.[0-9]+)' | sort -V | tail -n 1` https://github.com/openssl/openssl ./openssl && cd ./openssl && touch ../.openssl.is.fresh ; \
 	fi
 
 # Need to build OpenSSL differently on OSX
 ifeq ($(OS), Darwin)
+ifeq ($(ARCH), arm64)
+OSSL_TARGET=darwin64-arm64-cc
+else
+OSSL_TARGET=darwin64-x86_64-cc
+endif
 openssl/Makefile: .openssl.is.fresh
-	cd ./openssl; ./Configure -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIC enable-weak-ssl-ciphers zlib darwin64-x86_64-cc
+	cd ./openssl; ./Configure -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIC enable-weak-ssl-ciphers zlib $(OSSL_TARGET)
 # Any other *NIX platform
 else
 openssl/Makefile: .openssl.is.fresh
@@ -139,11 +151,14 @@
 
 openssl/libcrypto.a: openssl/Makefile
 	$(MAKE) -j $(NUM_PROCS) -C openssl depend
-	$(MAKE) -j $(NUM_PROCS) -C openssl all
+	$(MAKE) -j $(NUM_PROCS) -C openssl build_libs
 #	$(MAKE) -j $(NUM_PROCS) -C openssl test # Disabled because this takes 45+ minutes for OpenSSL v1.1.1.
 
 static: openssl/libcrypto.a
 	$(MAKE) -j $(NUM_PROCS) sslscan STATIC_BUILD=TRUE
+
+docker:
+	docker build -t sslscan:sslscan .
 
 test:	static
 	./docker_test.sh
