=== debian/changelog ===
sslscan (2.1.2-0.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:04:42 +1100

sslscan (2.1.2-0.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:26:50 +0000

sslscan (2.1.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #1054402

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 15 Nov 2023 16:16:13 +0000
