=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sslscan
 Section: utils
 Priority: optional
-Maintainer: Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>
 Homepage: https://github.com/rbsec/sslscan
 Build-Depends: debhelper-compat (= 13), libssl-dev
 Standards-Version: 4.5.1
