=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Build stuff
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
override_dh_auto_build:
	dh_auto_build -- sslscan
#Don't run test because it use internet during build time
override_dh_auto_test:
