## sslscan 2.1.3

=== debian/changelog ===
sslscan (2.1.3-1parrot2) lory; urgency=medium

  * Do not run the test by dh_override

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 07 Feb 2024 17:44:21 +0700

sslscan (2.1.3-1parrot1) stable; urgency=medium

  * Add new debian ci
  * New upstream version 2.1.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 07 Feb 2024 17:34:57 +0700

sslscan (2.1.2-1parrot1) parrot-updates; urgency=medium

  * New upstream version 2.1.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 16 Nov 2023 22:45:37 +0700

sslscan (2.0.16-0parrot2) parrot-updates; urgency=medium

  * Add ci build

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 27 Oct 2023 07:01:21 +0700

sslscan (2.0.16-0parrot1) parrot-updates; urgency=medium

  * New upstream version 2.0.16

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 03 Sep 2023 07:28:32 +0700

sslscan (2.0.15-0parrot2) parrot-updates; urgency=medium

  * Remove old patch

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 03 Mar 2023 10:27:48 +0700

sslscan (2.0.15-0parrot1) parrot-updates; urgency=medium

  * New upstream version 2.0.15

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 03 Mar 2023 10:23:30 +0700

sslscan (2.0.10-0parrot1) lts-updates; urgency=medium

  * Rebuild for Parrot 5.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 13 Oct 2021 19:03:09 +0200

sslscan (2.0.10-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.10
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 May 2021 14:10:48 +0200

sslscan (2.0.9-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.9

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 Mar 2021 08:57:17 +0100

sslscan (2.0.8-0kali1) kali-dev; urgency=medium

  * debian/kali-ci.yml: disable builds
  * New upstream version 2.0.8

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 22 Feb 2021 11:40:00 +0100

sslscan (2.0.7-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * New upstream version 2.0.7

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 11 Feb 2021 09:57:07 +0100

sslscan (2.0.6-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.6

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 Nov 2020 09:07:18 +0100

sslscan (2.0.5-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.5

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Oct 2020 10:01:15 +0100

sslscan (2.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Oct 2020 14:12:09 +0200

sslscan (2.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 Oct 2020 15:35:12 +0200

sslscan (2.0.2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 05 Oct 2020 11:16:46 +0200

sslscan (2.0.1-0kali2) kali-dev; urgency=medium

  * Add missing Vcs-Git headers

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Sep 2020 13:51:17 +0200

sslscan (2.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Sep 2020 13:51:15 +0200

sslscan (2.0.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jul 2020 11:54:07 +0200

sslscan (2.0.0~beta6-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0~beta6

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 03 Jul 2020 10:03:31 +0200

sslscan (2.0.0~beta4-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0~beta4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 15 Jun 2020 10:07:42 +0200

sslscan (2.0.0~beta2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0~beta2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 11 May 2020 16:07:52 +0200

sslscan (2.0.0~beta1-0kali1) kali-dev; urgency=medium

  * Update debian/watch for beta versions
  * New upstream version 2.0.0~beta1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Mar 2020 11:21:26 +0100

sslscan (2.0.0~alpha2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0~alpha2
  * Reintroduce static build

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Mar 2020 16:28:06 +0100

sslscan (2.0.0~alpha1-0kali1) kali-experimental; urgency=medium

  [ g0tmi1k ]
  * Fix git URL

  [ Raphaël Hertzog ]
  * Revert "Fix git URL"
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update debian/watch
  * New upstream version 2.0.0~alpha1
  * Remove useless patches
  * Fix debian/watch
  * Disable tests: it requires docker
  * Bump Standards-Version to 4.5.0
  * Add a patch to fix spelling error
  * Drop static build

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Feb 2020 16:51:00 +0100

sslscan (1.11.13-rbsec-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 25 Mar 2019 16:08:37 +0100

sslscan (1.11.12-rbsec-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 19 Oct 2018 12:02:35 +0200

sslscan (1.11.11-rbsec-0kali2) kali-dev; urgency=medium

  * Add a patch to openssl to fix issue on armhf (see
    https://github.com/openssl/openssl/pull/4673)

 -- Sophie Brun <sophie@freexian.com>  Tue, 06 Feb 2018 14:45:36 +0100

sslscan (1.11.11-rbsec-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Keep static build (for SSLv2 support)

 -- Sophie Brun <sophie@freexian.com>  Tue, 30 Jan 2018 16:18:10 +0100

sslscan (1.11.10-rbsec-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Keep static build (for SSLv2 support)


