=== debian/rules ===
#!/usr/bin/make -f
# Build stuff
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	$(MAKE) static

override_dh_auto_install:
	install -d $(CURDIR)/debian/sslscan/usr/bin/
	install -d $(CURDIR)/debian/sslscan/usr/share/man/man1/
	STATIC_BUILD=TRUE dh_auto_install -- BINPATH="$(CURDIR)/debian/sslscan/usr/bin/" MANPATH="$(CURDIR)/debian/sslscan/usr/share/man/"
override_dh_auto_test:
