=== debian/watch ===
version=4
opts="uversionmangle=s/-alpha/~alpha/; s/-beta/~beta/, \
     filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/sslscan-$1\.tar\.gz/" \
  https://github.com/rbsec/sslscan/tags .*/v?(\d\S*)\.tar\.gz
