## sslscan 2.1.4

=== debian/changelog ===
sslscan (2.1.4-1) unstable; urgency=medium

  [ Jhon Alejandro Marín Rodríguez ]
  * New upstream version 2.1.4

 -- Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>  Wed, 19 Jun 2024 21:51:04 -0500

sslscan (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3
  * Update debian/watch file.
  * Created to perform a trivial smoke test.
  * Update Standards-Version to 4.7.0.
  * Add VCS-* fields with the repo URL in Salsa.d.o.
  * Extend debian copyright holder years.
  * Add missing copyright entries

 -- Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>  Thu, 23 May 2024 06:19:26 +0000
