=== debian/changelog ===
sslscan (2.1.5-1) unstable; urgency=medium

  [ Jhon Alejandro Marín Rodríguez ]
  * New upstream version 2.1.5

 -- Jhon Alejandro Marin Rodriguez <jamarin90@gmail.com>  Fri, 18 Oct 2024 20:38:57 -0500
