=== debian/tests/control ===
Test-Command: sslscan -h
Restrictions: superficial
